DL_PrivateKey_WithSignaturePairwiseConsistencyTest< BASE, SIGNATURE_SCHEME > Class Template Reference
Inheritance diagram for DL_PrivateKey_WithSignaturePairwiseConsistencyTest< BASE, SIGNATURE_SCHEME >:

## Public Member Functions

void | GenerateRandom (RandomNumberGenerator &rng, const NameValuePairs &params)

## Detailed Description

template<class BASE, class SIGNATURE_SCHEME>
class DL_PrivateKey_WithSignaturePairwiseConsistencyTest< BASE, SIGNATURE_SCHEME >

Definition at line 1314 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_PrivateKey_WithSignaturePairwiseConsistencyTest()

template<class BASE, class SIGNATURE_SCHEME>

virtual DL_PrivateKey_WithSignaturePairwiseConsistencyTest< BASE, SIGNATURE_SCHEME >::~DL_PrivateKey_WithSignaturePairwiseConsistencyTest | ( |  | ) |

inline virtual

Definition at line 1317 of file pubkey.h.

## Member Function Documentation

## GenerateRandom()

template<class BASE, class SIGNATURE_SCHEME>

void DL_PrivateKey_WithSignaturePairwiseConsistencyTest< BASE, SIGNATURE_SCHEME >::GenerateRandom | ( | RandomNumberGenerator & | rng,
|  | const NameValuePairs & | params )

inline

Definition at line 1319 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h